# Session Recording

### Choosing the recording mode

There are two distinct session recording systems that you can choose from.

{% hint style="warning" %}
**You can select the recording mode for each page when the tracker is installed, depending on which JS file is included:**\
\
`ust.min.js` **for using A. Default page recording**\
\
`ust-rr.min.js`  **for using B. Full page recording**
{% endhint %}

You can use either of the two recording systems on any different page: session playback can work even if some pages are recorded with one system and other pages with the other system.

### **A. Default page recording**

{% hint style="info" %}
**Lightweight**, very efficient tracking system that only stores the URL of the visited page and the actions taken by the users.&#x20;
{% endhint %}

This system is best used for recording static pages. When viewing the recording, the current content of the page will be loaded based on the URL. <br>

The main drawbacks of this method are:

1. It doesn't work well with dynamic content or behind login-protected pages (as the page is loaded in  your browser based only on the URL)
2. The tracked website must be shown in an iframe when viewing the recording.
3. Actions are actually executed again when viewing a recording.

{% hint style="warning" %}
This is NOT a video recording, [actions are replayed](https://docs.uxwizz.com/guides/basic-usage#this-is-not-a-video-recording) on top of your website's iframe.
{% endhint %}

{% hint style="success" %}
**The default session recording system uses around 1MB / 100 recordings.**
{% endhint %}

### **B. Full page recording**

{% hint style="info" %}
**Accurate** tracking that records the page content (HTML) and all changes and actions that happen on the page.&#x20;
{% endhint %}

This system should be used for recording highly dynamic pages, dashboards or pages where the same URL can show different content.

The main drawback of this method is that the size of each recording and the size of the data sent from the user to your server is larger.

{% hint style="danger" %}
**Use this with caution!**&#x20;

**The full recording system can use more than 1MB per page recorded!!**

**In order to keep the database size small, you might want to** [**regularly delete old recordings**](https://docs.uxwizz.com/installation/optimization-tips/mysql-mariadb#3.-delete-unnecessary-data-more-often)**.**
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uxwizz.com/api/session-recording.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
